import 'package:flutter/material.dart';

import 'package:minehunter/provider/data.dart';
import 'package:minehunter/ui/layout/tileset.dart';
import 'package:minehunter/ui/widgets/game/indicator_top.dart';
import 'package:minehunter/ui/widgets/game/message_game_end.dart';
import 'package:minehunter/ui/widgets/game/mode_toggle.dart';

class Game extends StatelessWidget {
  const Game({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final bool gameIsFinished = myProvider.gameWin || myProvider.gameFail;

    return Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        const SizedBox(height: 8),
        TopIndicator(myProvider: myProvider),
        const SizedBox(height: 2),
        Expanded(
          child: Tileset(myProvider: myProvider),
        ),
        const SizedBox(height: 2),
        Container(
          child: gameIsFinished
              ? EndGameMessage(myProvider: myProvider)
              : ToggleGameMode(myProvider: myProvider),
        ),
        const SizedBox(height: 8),
      ],
    );
  }
}
