import 'package:flutter/material.dart';

import 'package:minehunter/provider/data.dart';

class Tileset extends StatelessWidget {
  const Tileset({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final Board board = myProvider.board;
    final Color borderColor = myProvider.reportMode ? Colors.blue : Colors.black;

    return Container(
      margin: const EdgeInsets.all(2),
      padding: const EdgeInsets.all(2),
      child: Column(
        children: [
          Container(
            decoration: BoxDecoration(
              color: borderColor,
              borderRadius: BorderRadius.circular(2),
              border: Border.all(
                color: borderColor,
                width: 2,
              ),
            ),
            child: Table(
              defaultColumnWidth: const IntrinsicColumnWidth(),
              children: [
                for (int row = 0; row < myProvider.sizeVertical; row++)
                  TableRow(
                    children: [
                      for (int col = 0; col < myProvider.sizeHorizontal; col++)
                        Column(
                          children: [
                            board[row][col].widget(myProvider, row, col),
                          ],
                        ),
                    ],
                  ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
