import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:overlay_support/overlay_support.dart';

import 'package:minehunter/provider/data.dart';
import 'package:minehunter/ui/widgets/header_app.dart';
import 'package:minehunter/utils/game_utils.dart';

class StandardAppBar extends StatelessWidget implements PreferredSizeWidget {
  const StandardAppBar({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final List<Widget> menuActions = [];

    if (myProvider.gameIsRunning) {
      menuActions.add(TextButton(
        child: const Image(
          image: AssetImage('assets/icons/button_back.png'),
          fit: BoxFit.fill,
        ),
        onPressed: () => toast(tr('long_press_to_quit')),
        onLongPress: () => GameUtils.quitGame(myProvider),
      ));
    }

    return AppBar(
      title: const AppHeader(text: 'app_name'),
      actions: menuActions,
    );
  }

  @override
  Size get preferredSize => const Size.fromHeight(50);
}
