import 'package:flutter/material.dart';

import 'package:minehunter/provider/data.dart';
import 'package:minehunter/ui/widgets/game/mode_button_toggle.dart';
import 'package:minehunter/ui/widgets/game/mode_indicator_report.dart';
import 'package:minehunter/ui/widgets/game/mode_indicator_walk.dart';

class ToggleGameMode extends StatelessWidget {
  const ToggleGameMode({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final Image paddingBlock = Image(
      image: AssetImage('assets/skins/${myProvider.parameterSkin}_empty.png'),
      fit: BoxFit.fill,
    );

    return Table(
      defaultColumnWidth: const IntrinsicColumnWidth(),
      children: [
        TableRow(
          children: [
            TableCell(child: paddingBlock),
            TableCell(child: GameModeIndicatorWalk(myProvider: myProvider)),
            TableCell(child: ToggleGameModeButton(myProvider: myProvider)),
            TableCell(child: GameModeIndicatorReport(myProvider: myProvider)),
            TableCell(child: paddingBlock),
          ],
        ),
      ],
    );
  }
}
